from tkinter import Frame, ttk


class Loading:
    def __init__(self, box, length, width):
        self.box = box
        self.frame = Frame(self.box, length=length, width=width)
        self.progressbar = ttk.Progressbar(self.box, style="success.Striped.Horizontal.TProgressbar")
        self.frame.place(x=0, y=0)
        self.progressbar.place(relx=0.5, rely=0.8, anchor="center")

    def set_progress(self, progress):
        self.progressbar["value"] = progress
